> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Manufacture Order

> This endpoint gets or creates a new manufacture order.

### Body

<ParamField name="id" required="true" type="string">
  Unique identifier for the manufacture order
</ParamField>

### Response

<ResponseField name="id" type="string">
  Unique identifier for the manufacture order
</ResponseField>

<ResponseField name="memo" type="string">
  Additional notes or information about the manufacture order
</ResponseField>

<ResponseField name="number" type="string">
  Number assigned to the manufacture order
</ResponseField>

<ResponseField name="priority" type="string">
  Priority level of the manufacture order
</ResponseField>

<ResponseField name="site" type="string">
  Site or location associated with the manufacture order
</ResponseField>

<ResponseField name="yield_location" type="string">
  Location where the manufactured product will be stored
</ResponseField>

<ResponseField name="created_on" type="datetime">
  Date and time when the manufacture order was created
</ResponseField>

<ResponseField name="expected_completion_date" type="date">
  Expected date of completion for the manufacture order
</ResponseField>

<ResponseField name="issued_on" type="date">
  Date when the manufacture order was issued
</ResponseField>

<ResponseField name="manufacture_order_line_items" type="object">
  <Expandable title="Show child attributes">
    <ResponseField name="bom_name" type="string">
      Name of the bill of materials (BOM) associated with the line item
    </ResponseField>

    <ResponseField name="bom_number" type="string">
      Number assigned to the bill of materials (BOM)
    </ResponseField>

    <ResponseField name="id" type="string">
      Unique identifier for the line item
    </ResponseField>

    <ResponseField name="expected_date" type="date">
      Expected date for the completion of the line item
    </ResponseField>

    <ResponseField name="line_status" type="string">
      Status of the line item (e.g., in progress, completed, etc.)
    </ResponseField>

    <ResponseField name="line_type" type="string">
      Type or category of the line item
    </ResponseField>

    <ResponseField name="manufacture_order_number" type="string">
      Number of the associated manufacture order
    </ResponseField>

    <ResponseField name="output_type" type="string">
      Type of output produced by the line item (e.g., product, component)
    </ResponseField>

    <ResponseField name="part_name" type="string">
      Name of the part associated with the line item
    </ResponseField>

    <ResponseField name="part_number" type="string">
      Number assigned to the part associated with the line item
    </ResponseField>

    <ResponseField name="priority" type="string">
      Priority level of the line item
    </ResponseField>

    <ResponseField name="quantity" type="integer">
      Quantity of the part to be manufactured or processed
    </ResponseField>

    <ResponseField name="site" type="string">
      Site or location associated with the line item
    </ResponseField>

    <ResponseField name="work_order_number" type="string">
      Number of the associated work order
    </ResponseField>

    <ResponseField name="yield_location" type="string">
      Location of the yield of the manufacture order line item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/manufacture_orders/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "user_group_id": "example_1",
      "name": "Example 1",
      "mapping": {"40": "213", "134": "386"},
      "properties": {"filterValue": "value"}
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    {
      "count": 1,
      "next": null,
      "previous": null,
      "results": [
          {
              "id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
              "memo": "This is a manufacture order",
              "number": "MO-0001",
              "priority": "High",
              "site": "Site 1",
              "yield_location": "Location 1",
              "created_on": "2021-01-01T00:00:00.000000Z",
              "expected_completion_date": "2021-01-01",
              "issued_on": "2021-01-01",
              "manufacture_order_line_items": [
                  {
                      "bom_name": "BOM 1",
                      "bom_number": "BOM-0001",
                      "id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
                      "expected_date": "2021-01-01",
                      "line_status": "In Progress",
                      "line_type": "Manufacture",
                      "manufacture_order_number": "MO-0001",
                      "output_type": "Product",
                      "part_name": "Part 1",
                      "part_number": "PART-0001",
                      "priority": "High",
                      "quantity": 100,
                      "site": "Site 1",
                      "work_order_number": "WO-0001",
                      "yield_location": "Location 1"
                  }
              ]
          }
      ]

    }
  }
  ```
</ResponseExample>

## Manufacture Order

| Field                      | Type     | Description                                                 |
| -------------------------- | -------- | ----------------------------------------------------------- |
| id                         | String   | Unique identifier for the manufacture order                 |
| memo                       | String   | Additional notes or information about the manufacture order |
| number                     | String   | Number assigned to the manufacture order                    |
| priority                   | String   | Priority level of the manufacture order                     |
| site                       | String   | Site or location associated with the manufacture order      |
| yield\_location            | String   | Location where the manufactured product will be stored      |
| created\_on                | DateTime | Date and time when the manufacture order was created        |
| expected\_completion\_date | Date     | Expected date of completion for the manufacture order       |
| issued\_on                 | Date     | Date when the manufacture order was issued                  |

## Manufacture Order Line Item

| Field                      | Type    | Description                                                         |
| -------------------------- | ------- | ------------------------------------------------------------------- |
| bom\_name                  | String  | Name of the bill of materials (BOM) associated with the line item   |
| bom\_number                | String  | Number assigned to the bill of materials (BOM)                      |
| id                         | String  | Unique identifier for the line item                                 |
| expected\_date             | Date    | Expected date for the completion of the line item                   |
| line\_status               | String  | Status of the line item (e.g., in progress, completed, etc.)        |
| line\_type                 | String  | Type or category of the line item                                   |
| manufacture\_order\_number | String  | Number of the associated manufacture order                          |
| output\_type               | String  | Type of output produced by the line item (e.g., product, component) |
| part\_name                 | String  | Name of the part associated with the line item                      |
| part\_number               | String  | Number assigned to the part associated with the line item           |
| priority                   | String  | Priority level of the line item                                     |
| quantity                   | Integer | Quantity of the part to be manufactured or processed                |
| site                       | String  | Site or location associated with the line item                      |
| work\_order\_number        | String  | Number of the associated work order                                 |
| yield\_location            | String  | Location where the manufactured product will be stored              |
